### GET /mayachain/queue/swap Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the swap queue. ```markdown ### Responses #### 200 - OK **SwapQueueResponse** - Array of MsgSwap ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/queue/swap" ``` ``` -------------------------------- ### GET /mayachain/network Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns network overview statistics. ```markdown ### Responses #### 200 - OK **NetworkResponse** - **bond_reward_cacao** (string) (required): total amount of cacao awarded to node operators (example: "857134475040") - **total_bond_units** (string) (required): total bonded cacao (example: "0") - **total_reserve** (string) (required): total reserve cacao (example: "21999180112172346") - **total_asgard** (string) (required): total asgard cacao (example: "21999180112172346") - **gas_spent_cacao** (string) (required): Sum of the gas the network has spent to send outbounds (example: "1000000000") - **gas_withheld_cacao** (string) (required): Sum of the gas withheld from users to cover outbound gas (example: "1500000000") - **outbound_fee_multiplier** (string): Current outbound fee multiplier, in basis points (example: "15000") ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/network" ``` ``` -------------------------------- ### GET /mayachain/queue Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns queue statistics. ```markdown ### Responses #### 200 - OK **QueueResponse** - **swap** (integer (int64)) (required) (example: 0) - **outbound** (integer (int64)) (required): number of signed outbound tx in the queue (example: 10) - **internal** (integer (int64)) (required) (example: 0) - **scheduled_outbound_value** (string) (required): scheduled outbound value in CACAO - **scheduled_outbound_clout** (string) (required): scheduled outbound clout in CACAO ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/queue" ``` ``` -------------------------------- ### GET /mayachain/swaps/streaming Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the state of all streaming swaps ```markdown ### Responses #### 200 - OK **StreamingSwapsResponse** - Array of StreamingSwap ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/swaps/streaming" ``` ``` -------------------------------- ### GET /mayachain/mimir/admin Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns current admin mimir configuration. ```markdown ### Responses #### 200 - OK **MimirResponse** ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/mimir/admin" ``` ``` -------------------------------- ### GET /mayachain/queue/scheduled Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the scheduled queue. ```markdown ### Responses #### 200 - OK **ScheduledResponse** - Array of TxOutItem ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/queue/scheduled" ``` ``` -------------------------------- ### GET /mayachain/mimir Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns current active mimir configuration. ```markdown ### Responses #### 200 - OK **MimirResponse** ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/mimir" ``` ``` -------------------------------- ### GET /mayachain/cacao_providers Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns all CACAO Providers. ```markdown ### Responses #### 200 - OK **CACAOProvidersResponse** - Array of CACAOProvider ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/cacao_providers" ``` ``` -------------------------------- ### GET /mayachain/vaults/pubkeys Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns all pubkeys for current vaults. ```markdown ### Responses #### 200 - OK **VaultPubkeysResponse** - **asgard** (array (VaultInfo)) (required) Array items: - **pub_key** (string) (required) (example: "mayapub1addwnpepq068dr0x7ue973drmq4eqmzhcq3650n7nx5fhgn9gl207luxp6vaklu52tc") - **pub_key_eddsa** (string) (example: "mayapub1addwnpepq068dr0x7ue973drmq4eqmzhcq3650n7nx5fhgn9gl207luxp6vaklu52tc") - **routers** (array (VaultRouter)) (required) Array items: - **chain** (string) (example: "ETH") - **router** (string) (example: "0x3624525075b88B24ecc29CE226b0CEc1fFcB6976") - **yggdrasil** (array (VaultInfo)) (required) Array items: - **inactive** (array (VaultInfo)) (required) Array items: ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/vaults/pubkeys" ``` ``` -------------------------------- ### GET /mayachain/metrics Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns keygen and keysign metrics for current vaults. ```markdown ### Responses #### 200 - OK **MetricsResponse** - **keygen** (array (KeygenMetric)) Array items: - **pub_key** (string) - **node_tss_times** (array (object)) (required) Array items: - **address** (string) - **tss_time** (string) - **keysign** (object) - **tx_id** (string) - **node_tss_times** (array (TssMetric)) Array items: - **address** (string) - **tss_time** (integer (int64)) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/metrics" ``` ``` -------------------------------- ### GET /mayachain/constants Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns constant configuration, can be overridden by mimir. ```markdown ### Responses #### 200 - OK **ConstantsResponse** - **int_64_values** (object) (example: {"AsgardSize":40,"BadValidatorRate":43200}) - **bool_values** (object) (example: {"StrictBondLiquidityRatio":true}) - **string_values** (object) (example: {"DefaultPoolStatus":"Staged"}) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/constants" ``` ``` -------------------------------- ### GET /mayachain/invariants Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns a list of available invariants. ```markdown ### Responses #### 200 - OK **InvariantsResponse** - **invariants** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/invariants" ``` ``` -------------------------------- ### GET /mayachain/pol Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns protocol owned liquidity overview statistics. ```markdown ### Responses #### 200 - OK **POLResponse** - **cacao_deposited** (string) (required): total amount of CACAO deposited into the pools (example: "857134475040") - **cacao_withdrawn** (string) (required): total amount of CACAO withdrawn from the pools (example: "0") - **value** (string) (required): total value of protocol's LP position in CACAO value (example: "21999180112172346") - **pnl** (string) (required): profit and loss of protocol owned liquidity (example: "21999180112172346") - **current_deposit** (string) (required): current amount of cacao deposited (example: "21999180112172346") ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/pol" ``` ``` -------------------------------- ### GET /mayachain/swap/streaming/{hash} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the state of a streaming swap ```markdown ### Responses #### 200 - OK **StreamingSwapResponse** - **tx_id** (string): the hash of a transaction (example: "CF524818D42B63D25BBA0CCC4909F127CAA645C0F9CD07324F2824CC151A64C7") - **interval** (integer (int64)): how often each swap is made, in blocks - **quantity** (integer (int64)): the total number of swaps in a streaming swaps - **count** (integer (int64)): the amount of swap attempts so far - **last_height** (integer (int64)): the block height of the latest swap - **trade_target** (string) (required): the total number of tokens the swapper wants to receive of the output asset (example: "100") - **source_asset** (string): the asset to be swapped from (example: "BTC.BTC") - **target_asset** (string): the asset to be swapped to (example: "ETH.ETH") - **destination** (string): the destination address to receive the swap output (example: "0x66fb1cd65b97fa40457b90b7d1ca6b92cb64b32b") - **deposit** (string) (required): the number of input tokens the swapper has deposited (example: "100") - **in** (string) (required): the amount of input tokens that have been swapped so far (example: "100") - **out** (string) (required): the amount of output tokens that have been swapped so far (example: "100") - **failed_swaps** (array (integer (int64))): the list of swap indexes that failed - **failed_swap_reasons** (array (string)): the list of reasons that sub-swaps have failed ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/swap/streaming/{hash}" ``` ``` -------------------------------- ### GET /mayachain/block Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns verbose details of the block. ```markdown ### Responses #### 200 - OK **BlockResponse** - **id** (object) (required) - **hash** (string) (required) (example: "112BC173FD838FB68EB43476816CD7B4C6661B6884A9E357B417EE957E1CF8F7") - **parts** (object) (required) - **total** (integer (int64)) (required) (example: 1) - **hash** (string) (required) (example: "38D4B26B5B725C4F13571EFE022C030390E4C33C8CF6F88EDD142EA769642DBD") - **header** (object) (required) - **version** (object) (required) - **block** (string) (required) (example: "10") - **app** (string) (required) (example: "0") - **chain_id** (string) (required) (example: "cosmoshub-2") - **height** (integer (int64)) (required) (example: 123) - **time** (string) (required) (example: "2019-04-22T17:01:51.701356223Z") - **last_block_id** (object) (required) - **last_commit_hash** (string) (required) (example: "21B9BC845AD2CB2C4193CDD17BFC506F1EBE5A7402E84AD96E64171287A34812") - **data_hash** (string) (required) (example: "970886F99E77ED0D60DA8FCE0447C2676E59F2F77302B0C4AA10E1D02F18EF73") - **validators_hash** (string) (required) (example: "D658BFD100CA8025CFD3BECFE86194322731D387286FBD26E059115FD5F2BCA0") - **next_validators_hash** (string) (required) (example: "D658BFD100CA8025CFD3BECFE86194322731D387286FBD26E059115FD5F2BCA0") - **consensus_hash** (string) (required) (example: "0F2908883A105C793B74495EB7D6DF2EEA479ED7FC9349206A65CB0F9987A0B8") - **app_hash** (string) (required) (example: "223BF64D4A01074DC523A80E76B9BBC786C791FB0A1893AC5B14866356FCFD6C") - **last_results_hash** (string) (required) (example: "") - **evidence_hash** (string) (required) (example: "") - **proposer_address** (string) (required) (example: "D540AB022088612AC74B287D076DBFBC4A377A2E") - **begin_block_events** (array (object)) (required) - **end_block_events** (array (object)) (required) - **txs** (array (BlockTx)) (required) Array items: - **hash** (string) (required) (example: "223BF64D4A01074DC523A80E76B9BBC786C791FB0A1893AC5B14866356FCFD6C") - **tx** (object) (required) - **result** (object) (required) - **code** (integer (int64)) (example: 0) - **data** (string) (example: "") - **log** (string) (example: "not enough gas") - **info** (string) (example: "") - **gas_wanted** (string) (example: "100") - **gas_used** (string) (example: "100") - **events** (array (object)) - **codespace** (string) (example: "ibc") ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/block" ``` ``` -------------------------------- ### GET /mayachain/vaults/asgard Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns current asgard vaults. ```markdown ### Responses #### 200 - OK **VaultsResponse** - Array of Vault ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/vaults/asgard" ``` ``` -------------------------------- ### GET /mayachain/quote/swap Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Provide a quote estimate for the provided swap. ```markdown ### Responses #### 200 - OK **QuoteSwapResponse** - **inbound_address** (string): the inbound address for the transaction on the source chain (example: "bc1qjk3xzu5slu7mtmc8jc9yed3zqvkhkttm700g9a") - **inbound_confirmation_blocks** (integer (int64)): the approximate number of source chain blocks required before processing - **inbound_confirmation_seconds** (integer (int64)): the approximate seconds for block confirmations required before processing - **outbound_delay_blocks** (integer (int64)) (required): the number of mayachain blocks the outbound will be delayed - **outbound_delay_seconds** (integer (int64)) (required): the approximate seconds for the outbound delay before it will be sent - **fees** (object) (required) - **asset** (string) (required): the target asset used for all fees (example: "ETH.ETH") - **affiliate** (string): affiliate fee in the target asset (example: "1234") - **outbound** (string): outbound fee in the target asset (example: "1234") - **liquidity** (string) (required): liquidity fees paid to pools in the target asset (example: "1234") - **total** (string) (required): total fees in the target asset (example: "9876") - **slippage_bps** (integer (int64)) (required): the swap slippage in basis points - **total_bps** (integer (int64)) (required): total basis points in fees relative to amount out - **router** (string): the EVM chain router contract address (example: "0x3624525075b88B24ecc29CE226b0CEc1fFcB6976") - **expiry** (integer (int64)) (required): expiration timestamp in unix seconds (example: 1671660285) - **warning** (string) (required): static warning message (example: "Do not cache this response. Do not send funds after the expiry.") - **notes** (string) (required): chain specific quote notes (example: "Transfer the inbound_address the asset with the memo. Do not use multi-in, multi-out transactions.") - **dust_threshold** (string): Defines the minimum transaction size for the chain in base units (sats, wei, uatom). Transactions with asset amounts lower than the dust_threshold are ignored. (example: "10000") - **recommended_min_amount_in** (string): The recommended minimum inbound amount for this transaction type & inbound asset. Sending less than this amount could result in failed refunds. (example: "15000") - **recommended_gas_rate** (string): the recommended gas rate to use for the inbound to ensure timely confirmation (example: "10") - **gas_rate_units** (string): the units of the recommended gas rate (example: "gwei") - **memo** (string): generated memo for the swap (example: "=:ETH.ETH:0x1c7b17362c84287bd1184447e6dfeaf920c31bbe:1440450000:maya17gw75axcnr8747pkanye45pnrwk7p9c3cqncsv:100") - **expected_amount_out** (string) (required): the amount of the target asset the user can expect to receive after fees (example: "10000") - **max_streaming_quantity** (integer (int64)): the maximum amount of trades a streaming swap can do for a trade (example: 10) - **streaming_swap_blocks** (integer (int64)): the number of blocks the streaming swap will execute over (example: 100) - **streaming_swap_seconds** (integer (int64)): approx the number of seconds the streaming swap will execute over (example: 600) - **total_swap_seconds** (integer (int64)): total number of seconds a swap is expected to take (inbound conf + streaming swap + outbound delay) (example: 600) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/quote/swap" ``` ``` -------------------------------- ### GET /mayachain/pools Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the pool information for all assets. ```markdown ### Responses #### 200 - OK **PoolsResponse** - Array of Pool ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/pools" ``` ``` -------------------------------- ### GET /mayachain/metric/keygen/{pubkey} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns keygen metrics for the provided vault pubkey. ```markdown ### Responses #### 200 - OK **KeygenMetricsResponse** - Array of KeygenMetric ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/metric/keygen/{pubkey}" ``` ``` -------------------------------- ### GET /mayachain/mimir/nodes_all Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns current node mimir votes. ```markdown ### Responses #### 200 - OK **MimirNodesResponse** - **mimirs** (array (object)) Array items: - **key** (string) - **value** (integer (int64)) - **signer** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/mimir/nodes_all" ``` ``` -------------------------------- ### GET /mayachain/vault/{pubkey} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the vault for the provided pubkey. ```markdown ### Responses #### 200 - OK **VaultResponse** - **block_height** (integer (int64)) - **pub_key** (string) - **pub_key_eddsa** (string) - **coins** (array (Coin)) (required) Array items: - **asset** (string) (required) (example: "BTC.BTC") - **amount** (string) (required) (example: "100000") - **decimals** (integer (int64)) (example: 6) - **type** (string (AsgardVault|YggdrasilVault)) ("AsgardVault"|"YggdrasilVault") - **status** (string) (required) - **status_since** (integer (int64)) - **membership** (array (string)): the list of node public keys which are members of the vault - **chains** (array (string)) - **inbound_tx_count** (integer (int64)) - **outbound_tx_count** (integer (int64)) - **pending_tx_block_heights** (array (integer (int64))) - **routers** (array (VaultRouter)) (required) Array items: - **chain** (string) (example: "ETH") - **router** (string) (example: "0x3624525075b88B24ecc29CE226b0CEc1fFcB6976") - **addresses** (array (VaultAddress)) (required) Array items: - **chain** (string) (required) (example: "BTC") - **address** (string) (required) (example: "bc1qd45uzetakjvdy5ynjjyp4nlnj89am88e4e5jeq") - **frozen** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/vault/{pubkey}" ``` ``` -------------------------------- ### GET /mayachain/ping Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml API endpoint for GET /mayachain/ping ```markdown ### Responses #### 200 - OK - **ping** (string) (example: "pong") ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/ping" ``` ``` -------------------------------- ### Schema: LiquidityProvider Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Schema definition for LiquidityProvider ```markdown ## Schema: LiquidityProvider Schema definition for LiquidityProvider **Type:** object - **asset** (string) (required) (example: "BNB.BNB") - **cacao_address** (string) (example: "maya1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **asset_address** (string) (example: "bnb1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **last_add_height** (integer (int64)) (example: 82745) - **last_withdraw_height** (integer (int64)) (example: 82745) - **units** (string) (required) (example: "0") - **pending_cacao** (string) (required) (example: "0") - **pending_asset** (string) (required) (example: "242000000") - **pending_tx_id** (string) (example: "C4C876802xxxxxxxxxxBC408829878446A37011EBBA0C5CAA3DD64A548879CB228") - **cacao_deposit_value** (string) (required) (example: "0") - **asset_deposit_value** (string) (required) (example: "0") - **node_bond_address** (string) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") - **withdraw_counter** (string) (required) (example: "1") - **last_withdraw_counter_height** (integer (int64)) (example: 60) - **bonded_nodes** (array (LPBondedNode)) (required) Array items: - **node_address** (string) (required) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") - **units** (string) (required) (example: "1000000000") - **cacao_redeem_value** (string) (example: "0") - **asset_redeem_value** (string) (example: "0") - **luvi_deposit_value** (string) (example: "0") - **luvi_redeem_value** (string) (example: "0") - **luvi_growth_pct** (string) (example: "0") ``` -------------------------------- ### Schema: LiquidityProviderSummary Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Schema definition for LiquidityProviderSummary ```markdown ## Schema: LiquidityProviderSummary Schema definition for LiquidityProviderSummary **Type:** object - **asset** (string) (required) (example: "BNB.BNB") - **cacao_address** (string) (example: "maya1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **asset_address** (string) (example: "bnb1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **last_add_height** (integer (int64)) (example: 82745) - **last_withdraw_height** (integer (int64)) (example: 82745) - **units** (string) (required) (example: "0") - **pending_cacao** (string) (required) (example: "0") - **pending_asset** (string) (required) (example: "242000000") - **pending_tx_id** (string) (example: "C4C876802xxxxxxxxxxBC408829878446A37011EBBA0C5CAA3DD64A548879CB228") - **cacao_deposit_value** (string) (required) (example: "0") - **asset_deposit_value** (string) (required) (example: "0") ``` -------------------------------- ### API Overview: Mayanode API Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Mayanode REST API. ```yaml # Mayanode API # Version: 1.126.0 Mayanode REST API. # Base URL: Not specified ``` -------------------------------- ### GET /mayachain/vaults/yggdrasil Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns current yggdrasil vaults. ```markdown ### Responses #### 200 - OK **VaultsResponse** - Array of Vault ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/vaults/yggdrasil" ``` ``` -------------------------------- ### GET /mayachain/pool/{asset}/liquidity_provider/{address} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the liquidity provider information for an address and asset. ```markdown ### Responses #### 200 - OK **LiquidityProviderResponse** - **asset** (string) (required) (example: "BNB.BNB") - **cacao_address** (string) (example: "maya1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **asset_address** (string) (example: "bnb1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **last_add_height** (integer (int64)) (example: 82745) - **last_withdraw_height** (integer (int64)) (example: 82745) - **units** (string) (required) (example: "0") - **pending_cacao** (string) (required) (example: "0") - **pending_asset** (string) (required) (example: "242000000") - **pending_tx_id** (string) (example: "C4C876802xxxxxxxxxxBC408829878446A37011EBBA0C5CAA3DD64A548879CB228") - **cacao_deposit_value** (string) (required) (example: "0") - **asset_deposit_value** (string) (required) (example: "0") - **node_bond_address** (string) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") - **withdraw_counter** (string) (required) (example: "1") - **last_withdraw_counter_height** (integer (int64)) (example: 60) - **bonded_nodes** (array (LPBondedNode)) (required) Array items: - **node_address** (string) (required) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") - **units** (string) (required) (example: "1000000000") - **cacao_redeem_value** (string) (example: "0") - **asset_redeem_value** (string) (example: "0") - **luvi_deposit_value** (string) (example: "0") - **luvi_redeem_value** (string) (example: "0") - **luvi_growth_pct** (string) (example: "0") ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/pool/{asset}/liquidity_provider/{address}" ``` ``` -------------------------------- ### GET /mayachain/version Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the network's current MAYANode version, the network's next MAYANode version, and the querier's MAYANode version. ```markdown ### Responses #### 200 - OK **VersionResponse** - **current** (string) (required): current version (example: "0.17.0") - **next** (string) (required): next version (example: "0.18.0") - **querier** (string) (required): querier version (example: "0.16.0") ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/version" ``` ``` -------------------------------- ### Schema: LiquidityProviderResponse Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Schema definition for LiquidityProviderResponse ```markdown ## Schema: LiquidityProviderResponse Schema definition for LiquidityProviderResponse **Type:** object - **asset** (string) (required) (example: "BNB.BNB") - **cacao_address** (string) (example: "maya1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **asset_address** (string) (example: "bnb1xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx") - **last_add_height** (integer (int64)) (example: 82745) - **last_withdraw_height** (integer (int64)) (example: 82745) - **units** (string) (required) (example: "0") - **pending_cacao** (string) (required) (example: "0") - **pending_asset** (string) (required) (example: "242000000") - **pending_tx_id** (string) (example: "C4C876802xxxxxxxxxxBC408829878446A37011EBBA0C5CAA3DD64A548879CB228") - **cacao_deposit_value** (string) (required) (example: "0") - **asset_deposit_value** (string) (required) (example: "0") - **node_bond_address** (string) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") - **withdraw_counter** (string) (required) (example: "1") - **last_withdraw_counter_height** (integer (int64)) (example: 60) - **bonded_nodes** (array (LPBondedNode)) (required) Array items: - **node_address** (string) (required) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") - **units** (string) (required) (example: "1000000000") - **cacao_redeem_value** (string) (example: "0") - **asset_redeem_value** (string) (example: "0") - **luvi_deposit_value** (string) (example: "0") - **luvi_redeem_value** (string) (example: "0") - **luvi_growth_pct** (string) (example: "0") ``` -------------------------------- ### GET /mayachain/mimir/key/{key} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns current active mimir configuration for the provided key. ```markdown ### Responses #### 200 - OK ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/mimir/key/{key}" ``` ``` -------------------------------- ### GET /mayachain/trade/accounts/{asset} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns all trade accounts for an asset ```markdown ### Responses #### 200 - OK **TradeAccountsResponse** - Array of TradeAccountResponse ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/trade/accounts/{asset}" ``` ``` -------------------------------- ### GET /mayachain/clout/swap/{address} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the clout score of an address ```markdown ### Parameters - **height** (integer (int64), query, optional): optional block height, defaults to current tip - **address** (string, path, required) (example: "maya1zupk5lmc84r2dh738a9g3zscavannjy3nzplwt") ### Responses #### 200 - OK **SwapperCloutResponse** - **address** (string) (required): address associated with this clout account (example: "bc1....") - **score** (string): clout score, which is the amount of cacao spent on swap fees - **reclaimed** (string): amount of clout that has been reclaimed in total over time (observed clout spent) - **spent** (string): amount of clout that has been spent in total over time - **last_spent_height** (integer (int64)): last block height that clout was spent - **last_reclaim_height** (integer (int64)): last block height that clout was reclaimed ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/clout/swap/{address}?height=0" ``` ``` -------------------------------- ### Schema: LiquidityProvidersResponse Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Schema definition for LiquidityProvidersResponse ```markdown ## Schema: LiquidityProvidersResponse Schema definition for LiquidityProvidersResponse **Type:** array - Array of LiquidityProviderSummary ``` -------------------------------- ### GET /mayachain/keysign/{height}/{pubkey} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns keysign information for the provided height and pubkey - the height being the block at which a tx out item is scheduled to be signed and moved from the scheduled outbound queue to the outbound queue. ```markdown ### Responses #### 200 - OK **KeysignResponse** - **keysign** (object) (required) - **height** (integer (int64)): the block(s) in which a tx out item is scheduled to be signed and moved from the scheduled outbound queue to the outbound queue - **tx_array** (array (TxOutItem)) (required) Array items: - **chain** (string) (required) (example: "ETH") - **to_address** (string) (required) (example: "0x66fb1cd65b97fa40457b90b7d1ca6b92cb64b32b") - **vault_pub_key** (string) (example: "mayapub1addwnpepqt45wmsxj29xpgdrdsvg2h3dx68qeapgykw3hlyj6vuds2r0pnkwx5gt9m4") - **vault_pub_key_eddsa** (string) (example: "mayapub1addwnpepqt45wmsxj29xpgdrdsvg2h3dx68qeapgykw3hlyj6vuds2r0pnkwx5gt9m4") - **coin** (object) (required) - **asset** (string) (required) (example: "BTC.BTC") - **amount** (string) (required) (example: "100000") - **decimals** (integer (int64)) (example: 6) - **memo** (string) (example: "OUT:208BF0ACD78C89A0534B0457BA0867B101961A2319C1E49DD28676526904BBEA") - **max_gas** (array (Coin)) (required) Array items: - **gas_rate** (integer (int64)) - **in_hash** (string) (example: "208BF0ACD78C89A0534B0457BA0867B101961A2319C1E49DD28676526904BBEA") - **out_hash** (string) (example: "0D0B2FDB6DAD6E5FD3C5E46D39128F9DA15E96F0B2CC054CE059EA3532B150FB") - **aggregator** (string): the contract address if an aggregator is specified for a non-mayachain SwapOut - **aggregator_target_asset** (string): the desired output asset of the aggregator SwapOut - **aggregator_target_limit** (string): the minimum amount of SwapOut asset to receive (else cancelling the SwapOut and receiving mayachain's output) - **height** (integer (int64)) (example: 1234) - **clout_spent** (string): clout spent in CACAO for the outbound (example: "1234") - **signature** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/keysign/{height}/{pubkey}" ``` ``` -------------------------------- ### GET /mayachain/pool/{asset}/liquidity_providers Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns all liquidity provider information for an asset. ```markdown ### Responses #### 200 - OK **LiquidityProvidersResponse** - Array of LiquidityProviderSummary ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/pool/{asset}/liquidity_providers" ``` ``` -------------------------------- ### GET /mayachain/lastblock Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns the last block information for all chains. ```markdown ### Responses #### 200 - OK **LastBlockResponse** - Array of LastBlock ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/lastblock" ``` ``` -------------------------------- ### Schema: TxOutItem Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Schema definition for TxOutItem ```markdown ## Schema: TxOutItem Schema definition for TxOutItem **Type:** object - **chain** (string) (required) (example: "ETH") - **to_address** (string) (required) (example: "0x66fb1cd65b97fa40457b90b7d1ca6b92cb64b32b") - **vault_pub_key** (string) (example: "mayapub1addwnpepqt45wmsxj29xpgdrdsvg2h3dx68qeapgykw3hlyj6vuds2r0pnkwx5gt9m4") - **vault_pub_key_eddsa** (string) (example: "mayapub1addwnpepqt45wmsxj29xpgdrdsvg2h3dx68qeapgykw3hlyj6vuds2r0pnkwx5gt9m4") - **coin** (object) (required) - **asset** (string) (required) (example: "BTC.BTC") - **amount** (string) (required) (example: "100000") - **decimals** (integer (int64)) (example: 6) - **memo** (string) (example: "OUT:208BF0ACD78C89A0534B0457BA0867B101961A2319C1E49DD28676526904BBEA") - **max_gas** (array (Coin)) (required) Array items: - **gas_rate** (integer (int64)) - **in_hash** (string) (example: "208BF0ACD78C89A0534B0457BA0867B101961A2319C1E49DD28676526904BBEA") - **out_hash** (string) (example: "0D0B2FDB6DAD6E5FD3C5E46D39128F9DA15E96F0B2CC054CE059EA3532B150FB") - **aggregator** (string): the contract address if an aggregator is specified for a non-mayachain SwapOut - **aggregator_target_asset** (string): the desired output asset of the aggregator SwapOut - **aggregator_target_limit** (string): the minimum amount of SwapOut asset to receive (else cancelling the SwapOut and receiving mayachain's output) - **height** (integer (int64)) (example: 1234) - **clout_spent** (string): clout spent in CACAO for the outbound (example: "1234") ``` -------------------------------- ### GET /mayachain/nodes Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns node information for all registered validators. ```markdown ### Responses #### 200 - OK **NodesResponse** - Array of Node ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/nodes" ``` ``` -------------------------------- ### GET /mayachain/keysign/{height} Source: https://mayanode.mayachain.info/mayachain/doc/openapi.yaml Returns keysign information for the provided height - the height being the first block a tx out item appears in the signed-but-unobserved outbound queue. ```markdown ### Responses #### 200 - OK **KeysignResponse** - **keysign** (object) (required) - **height** (integer (int64)): the block(s) in which a tx out item is scheduled to be signed and moved from the scheduled outbound queue to the outbound queue - **tx_array** (array (TxOutItem)) (required) Array items: - **chain** (string) (required) (example: "ETH") - **to_address** (string) (required) (example: "0x66fb1cd65b97fa40457b90b7d1ca6b92cb64b32b") - **vault_pub_key** (string) (example: "mayapub1addwnpepqt45wmsxj29xpgdrdsvg2h3dx68qeapgykw3hlyj6vuds2r0pnkwx5gt9m4") - **vault_pub_key_eddsa** (string) (example: "mayapub1addwnpepqt45wmsxj29xpgdrdsvg2h3dx68qeapgykw3hlyj6vuds2r0pnkwx5gt9m4") - **coin** (object) (required) - **asset** (string) (required) (example: "BTC.BTC") - **amount** (string) (required) (example: "100000") - **decimals** (integer (int64)) (example: 6) - **memo** (string) (example: "OUT:208BF0ACD78C89A0534B0457BA0867B101961A2319C1E49DD28676526904BBEA") - **max_gas** (array (Coin)) (required) Array items: - **gas_rate** (integer (int64)) - **in_hash** (string) (example: "208BF0ACD78C89A0534B0457BA0867B101961A2319C1E49DD28676526904BBEA") - **out_hash** (string) (example: "0D0B2FDB6DAD6E5FD3C5E46D39128F9DA15E96F0B2CC054CE059EA3532B150FB") - **aggregator** (string): the contract address if an aggregator is specified for a non-mayachain SwapOut - **aggregator_target_asset** (string): the desired output asset of the aggregator SwapOut - **aggregator_target_limit** (string): the minimum amount of SwapOut asset to receive (else cancelling the SwapOut and receiving mayachain's output) - **height** (integer (int64)) (example: 1234) - **clout_spent** (string): clout spent in CACAO for the outbound (example: "1234") - **signature** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/mayachain/keysign/{height}" ``` ```